/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

import com.HotelServices.model.dto.EtelDTO;
import com.HotelServices.model.dto.SzobaDTO;
import java.io.*;
import java.net.*;
import com.HotelServices.model.dto.impl.VendegDAOImpl;
import java.util.LinkedList;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author Sensei
 */
public class VendegServlet extends HttpServlet {

    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try {
            if (request.getParameter("reg") != null && request.getParameter("reg").equals("Regisztracio")) {
                if (request.getParameter("usernev").length() >= 5 && request.getParameter("jelszo").length() >= 5 && request.getParameter("jelszo_u").length() >= 5 && request.getParameter("nev").length() > 0 && request.getParameter("iranyitoszam").length() > 0 && request.getParameter("cim").length() > 0 && request.getParameter("telefonszam").length() > 0) {
                    boolean i = new VendegDAOImpl().regisztracio(request.getParameter("usernev"), request.getParameter("jelszo"), request.getParameter("jelszo_u"), request.getParameter("nev"), Integer.parseInt(request.getParameter("iranyitoszam")), request.getParameter("cim"), request.getParameter("telefonszam"));
                    System.out.println(i);
                    if (i) {
                        request.getSession().setAttribute("felhasznalo", request.getParameter("usernev"));
                        response.sendRedirect("siker01.jsp");
                    } else {
                        response.sendRedirect("hiba01.jsp");
                    }
                } else {
                    response.sendRedirect("hiba01.jsp");
                }
            }
            //-------------
            if (request.getParameter("lista_szoba") != null && request.getParameter("lista_szoba").equals("Listaz")) {
                LinkedList<SzobaDTO> ll = new VendegDAOImpl().szobak();
                request.getSession().setAttribute("szobak", ll);
                response.sendRedirect("vendeg_szobat_kivesz.jsp");
            }
            //-------------
            if (request.getParameter("lista_etel") != null && request.getParameter("lista_etel").equals("Etelek")) {
                LinkedList<EtelDTO> ll = new VendegDAOImpl().etel();
                request.getSession().setAttribute("etel", ll);
                response.sendRedirect("vendeg_etel_igenyles.jsp");
            }
            //-------------
            if (request.getParameter("takaritas") != null && request.getParameter("takaritas").equals("Igenyel")) {
                if (request.getParameter("szobaszam").length() > 0 && request.getParameter("textarea").length() > 0) {
                    boolean seged = new VendegDAOImpl().takaritasRegisztracio(Integer.parseInt(request.getParameter("szobaszam")), request.getParameter("textarea"), (String) request.getSession().getAttribute("fnev"));
                    if (seged == true) {
                        response.sendRedirect("siker02.jsp");
                    } else {
                        response.sendRedirect("hiba02.jsp");
                    }
                }
            }
            //-------------
            if (request.getParameter("vissza") != null && request.getParameter("vissza").equals("Vissza")) {
                response.sendRedirect("vendeg_index.jsp");
            }

        } finally {
            out.close();
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    // </editor-fold>
}
